Subject: Re: git binary size...

From: Andreas Ericsson <[email-masked]>
Date: Wed, 11 Jan 2006 20:14:03 +0100

Linus Torvalds wrote:
> Guess what the difference is here?
> 
> 	[torvalds@g5 ~]$ du -sh bin/
> 	14M     bin/
> 	[torvalds@g5 ~]$ du -sh bin/
> 	5.8M    bin/
> 
> Give up?
> 
> In one case, "git" was compiled with the default options in the git 
> Makefile. In the other one, the "-g" was removed.
> 
> Now, maybe this is extra visible with PowerPC (32-bit) binaries, and it's 
> not as bad on x86, but it's still a bit distressing.
> 
> That "-g" doesn't buy users much of anything, and I doubt most developers 
> care that deeply most of the time either (and can easily add it when they 
> do care). It's left-over from long ago when it was much more useful.
> 
> So I'd suggest just removing it.
> 

I'd suggest adding

strip:
	strip $(PROGRAMS)

install: strip

to Makefile instead. That way people working on various git-tools won't 
have to remember to override the CFLAGS when debugging new stuff.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231